"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.invariant = exports.logRollpkgError = exports.logTsError = exports.logError = exports.errorAsObjectWithMessage = exports.EXIT_ON_ERROR = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.EXIT_ON_ERROR = 'EXIT_ON_ERROR';
const errorAsObjectWithMessage = (error) => {
    if (typeof error === 'object' && error !== null) {
        return error;
    }
    return { message: error };
};
exports.errorAsObjectWithMessage = errorAsObjectWithMessage;
const logError = ({ failedAt, message, fullError }) => {
    if (failedAt)
        console.error(chalk_1.default.red(`✗ FAILED AT: ${failedAt}`), '\n');
    if (message)
        console.error(message, '\n');
    if (fullError)
        console.error(fullError, '\n');
};
exports.logError = logError;
const logTsError = ({ failedAt, message }) => {
    exports.logError({
        failedAt,
        message: `TypeScript Error: ${message}`,
    });
};
exports.logTsError = logTsError;
const logRollpkgError = ({ failedAt, message }) => {
    exports.logError({
        failedAt,
        message: `Rollpkg Error: ${message}`,
    });
};
exports.logRollpkgError = logRollpkgError;
const invariant = (allGood, message) => {
    if (!allGood) {
        throw Error(message);
    }
};
exports.invariant = invariant;
//# sourceMappingURL=errorUtils.js.map