import { Plugin, OutputPlugin, TreeshakingOptions, RollupBuild, RollupOutput } from 'rollup';
interface CreateRollupConfig {
    (input: {
        tsconfigPath?: string;
        addUmdBuild: boolean;
        kebabCasePkgName: string;
        pkgJsonSideEffects: boolean;
        pkgJsonPeerDependencyKeys: string[];
        pkgJsonUmdGlobalDependencies?: {
            [key: string]: string;
        };
    }): {
        buildPluginsDefault: Plugin[];
        buildPluginsWithNodeEnvDevelopment: Plugin[];
        buildPluginsWithNodeEnvProduction: Plugin[];
        outputPluginsDefault: OutputPlugin[];
        outputPluginsProduction: OutputPlugin[];
        treeshakeOptions: TreeshakingOptions;
        umdNameForPkg?: string;
        umdExternalDependencies?: string[];
        umdDependencyGlobals?: {
            [key: string]: string;
        };
    };
}
export declare const createRollupConfig: CreateRollupConfig;
interface RollupWatch {
    (input: {
        kebabCasePkgName: string;
        pkgJsonDependencyKeys: string[];
        pkgJsonPeerDependencyKeys: string[];
        entryFile: string;
        treeshakeOptions: TreeshakingOptions;
        buildPluginsDefault: Plugin[];
        outputPluginsDefault: OutputPlugin[];
    }): void;
}
export declare const rollupWatch: RollupWatch;
interface CreateBundles {
    (input: {
        entryFile: string;
        pkgJsonDependencyKeys: string[];
        pkgJsonPeerDependencyKeys: string[];
        umdExternalDependencies?: string[];
        treeshakeOptions: TreeshakingOptions;
        buildPluginsDefault: Plugin[];
        buildPluginsWithNodeEnvDevelopment: Plugin[];
        buildPluginsWithNodeEnvProduction: Plugin[];
        addUmdBuild: boolean;
    }): Promise<[RollupBuild, RollupBuild, RollupBuild?, RollupBuild?]>;
}
export declare const createBundles: CreateBundles;
interface WriteBundles {
    (input: {
        cwd: string;
        kebabCasePkgName: string;
        bundleDefault: RollupBuild;
        bundleCjsProd: RollupBuild;
        bundleUmdDev?: RollupBuild;
        bundleUmdProd?: RollupBuild;
        outputPluginsDefault: OutputPlugin[];
        outputPluginsProduction: OutputPlugin[];
        umdNameForPkg?: string;
        umdDependencyGlobals?: {
            [key: string]: string;
        };
    }): Promise<[
        RollupOutput,
        RollupOutput,
        RollupOutput,
        void,
        RollupOutput?,
        RollupOutput?
    ]>;
}
export declare const writeBundles: WriteBundles;
export {};
