"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = exports.convertKebabCaseToPascalCase = exports.convertPkgNameToKebabCase = exports.clearLine = exports.clearConsole = exports.cleanDist = exports.progressEstimator = void 0;
const fs = __importStar(require("fs-extra"));
const path_1 = require("path");
const readline = __importStar(require("readline"));
const progress_estimator_1 = __importDefault(require("progress-estimator"));
exports.progressEstimator = progress_estimator_1.default({
    storagePath: path_1.resolve(__dirname, '.progress-estimator'),
    spinner: {
        interval: 180,
        frames: ['🌎', '🌏', '🌍'],
    },
});
const cleanDist = () => fs.emptyDir('./dist');
exports.cleanDist = cleanDist;
const clearConsole = () => {
    // from https://github.com/facebook/create-react-app/blob/master/packages/react-dev-utils/clearConsole.js
    process.stdout.write(process.platform === 'win32' ? '\x1B[2J\x1B[0f' : '\x1B[2J\x1B[3J\x1B[H');
};
exports.clearConsole = clearConsole;
const clearLine = () => {
    readline.clearLine(process.stdout, 0);
    readline.cursorTo(process.stdout, 0);
};
exports.clearLine = clearLine;
const convertPkgNameToKebabCase = (pkgName) => pkgName.replace(/[@!]/g, '').replace(/\//g, '-');
exports.convertPkgNameToKebabCase = convertPkgNameToKebabCase;
const convertKebabCaseToPascalCase = (kebabCase) => kebabCase
    .split('-')
    .map((s) => `${s[0].toUpperCase()}${s.slice(1)}`)
    .join('');
exports.convertKebabCaseToPascalCase = convertKebabCaseToPascalCase;
const fileExists = async (dirPath, fileName) => {
    try {
        const stats = await fs.stat(path_1.resolve(dirPath, fileName));
        return stats.isFile();
    }
    catch {
        return false;
    }
};
exports.fileExists = fileExists;
//# sourceMappingURL=utils.js.map